summaryrefslogtreecommitdiff
path: root/tests/install/create-leading.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/install/create-leading.sh')
-rwxr-xr-xtests/install/create-leading.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/tests/install/create-leading.sh b/tests/install/create-leading.sh
new file mode 100755
index 00000000..54a81b77
--- /dev/null
+++ b/tests/install/create-leading.sh
@@ -0,0 +1,35 @@
+#! /bin/sh
+# Test -D option.
+
+# Copyright (C) 2000-2013 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Note that the tests below use 'ginstall', not install, because
+# that's the name of the binary in ../../src.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ ginstall
+
+
+file=file
+echo foo > $file
+
+# Before 4.0q, this would mistakenly create $file, not 'dest'
+# in no-dir1/no-dir2/.
+ginstall -D $file no-dir1/no-dir2/dest || fail=1
+test -d no-dir1/no-dir2 || fail=1
+test -r no-dir1/no-dir2/dest || fail=1
+
+Exit $fail